View Issue Details

IDProjectCategoryView StatusLast Update
0002201Far Manager_Commonpublic2012-12-14 22:55
ReporterpxpAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version 
Target VersionFixed in Version3.0 
Summary0002201: После экспорта/ипрорта не восстанавлиается "Main menu (user)"
Description1. После экспорта/ипрорта не восстанавлиается "Main menu (user)".

Как воспроизвести:
- Вставить меню: нажать F2, затем Insert, затем Insert command и вставить любую команду и сохранить.
- Экспорт: far.exe /export config.farconfig
- Выйти из FAR и удалить текущий профиль
- Запустить FAR
- Импорт: far.exe /import config.farconfig
- Перезапустить FAR
- Нажать F2 - меню пустое

Тоже самое и при вставке меню (F2, затем Insert, затем Insert menu).

2. При вводе\редактировании в меню новой команды или меню нет запроса
   на подтверждение выхода по нажатию ESC, если данные не сохранены.

Условия для воспроизведения проблемы:
ОС: Windows 7
тип файловой системы: NTFS
версия Far: 3.0.2927 x86
набор и версии плагинов, макросы: из поставки
TagsNo tags attached.
Build3008

Activities

DrKnS

2012-11-19 00:26

administrator   bugnote:0009737

> 1. После экспорта/ипрорта не восстанавлиается "Main menu (user)".

А где написано, что оно должно восстанавливаться?
В Far3 меню всегда хранится в ini-файле, бекапится-ресторится простым копированием и к фарконфигам отношения не имеет.



> 2. При вводе\редактировании в меню новой команды или меню нет запроса
   на подтверждение выхода по нажатию ESC, если данные не сохранены.

А оно надо? Сколько там тех данных.

Paul

2012-11-19 10:46

reporter   bugnote:0009741

1. Это не удобно - отдельно делать экспорт и отдельно бекап ini файла, а затем импорт и копирование. Да и просто надо не забыть об этом. С таким успехом можно просто бекапить весь профайл и не нужен экспорт\импорт - который работает наполовину.

2. может и не много, но эти данные иногда довольно сложные и повторять их не очень приятно.

DrKnS

2012-11-19 17:04

administrator   bugnote:0009743

> С таким успехом можно просто бекапить весь профайл и не нужен экспорт\импорт - который работает наполовину.

Копирование профайла и есть рекомендуемый способ бекапа.
Импорт/экспорт - это для любителей править вручную, для мержа с чужими настройками и на случай каких-то катаклизмов, типа изменения структуры базы.

Кроме меню в профайле может валяться еще много чего. Например, макросы. Или какие-то конфиги плагинов. Поэтому бекапить по /export не самая лучшая идея.


> эти данные иногда довольно сложные и повторять их не очень приятно.

ок, будет.

DrKnS

2012-12-13 01:50

administrator   bugnote:0009839

2 - 3008

Issue History

Date Modified Username Field Change
2012-11-18 13:11 pxp New Issue
2012-11-19 00:26 DrKnS Note Added: 0009737
2012-11-19 00:26 DrKnS Assigned To => DrKnS
2012-11-19 00:26 DrKnS Status new => feedback
2012-11-19 10:46 Paul Note Added: 0009741
2012-11-19 17:04 DrKnS Note Added: 0009743
2012-12-13 01:50 DrKnS Note Added: 0009839
2012-12-14 22:55 DrKnS Build => 3008
2012-12-14 22:55 DrKnS Status feedback => closed
2012-12-14 22:55 DrKnS Resolution open => fixed
2012-12-14 22:55 DrKnS Fixed in Version => 3.0